/*
	OpenSetting.h
*/

// 関数
extern bool OpenSetting( HWND hWnd, const MLVI *mlvi, HWND hStatusBar );	// 編集ダイアログを開く（通常）
extern int  openrsc( HWND hWnd, const char *rscname, const char *FocusID );		// 「ファイルを指定して開く」またはコマンドラインで指定された場合
extern LRESULT CALLBACK MainEditDlgProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
extern short rsc( HWND hWnd, const char *fname, const char *label, bool icall, void (*callbackfunc)() ); // スクリプトの読み出しと解釈 (戻り値 0:正常終了 1:異常終了 2:スクリプトからの中断指示 3:labelで指定したラベルが見つからない)
extern unsigned int rsc1line( HWND hWnd, const char *script );			// 1行だけスクリプトを実行し、結果を数値で返す

extern volatile bool running_settingdialog;	// 設定ダイアログが開いている

extern bool bNotAddRecent;		// 「最近使った機能項目」への追加（更新）を行わないフラグ
